package com.device.comm.mylibrary.NativeDevice;

import android.util.Log;

/**
 * Created by qb on 2015/10/25.
 */
public class LogUtilBase {
    public static boolean DEBUG = true;//true = 测试 -- false 上线 关闭输出log
    private static final String TAG = "BLE_ENUO_GLUCOSE_DEVICE";

    public static void LogW(String tag, String msg) {
        if (DEBUG) {
            if (tag != null)
                Log.w(tag, msg);
            else
                Log.w(TAG, msg);
        }
    }

    public static void LogD(String tag, String msg) {
        if (DEBUG) {
            if (tag != null)
                Log.d(tag, msg);
            else
                Log.d(TAG, msg);
        }
    }
    public static void LogD(String msg) {
        if (DEBUG) {
            Log.d(TAG, msg);
        }
    }
    public static void LogI(String tag, String msg) {
        if (DEBUG) {
            if (tag != null)
                Log.i(tag, msg);
            else
                Log.i(TAG, msg);
        }
    }
    public static void LogI(String msg) {
        if (DEBUG) {
                Log.i(TAG, msg);
        }
    }

    public static void LogE(String tag, String msg) {
        if (DEBUG) {
            if (tag != null)
                Log.e(tag, msg);
            else
                Log.e(TAG, msg);
        }
    }
    public static void LogE(String msg) {
        if (DEBUG) {
            Log.i(TAG, msg);
        }
    }
    private static int LOG_MAXLENGTH = 3 * 1024;
    public static void e( String msg) {
        if (DEBUG) {
            int segmentSize = LOG_MAXLENGTH;
            long length = msg.length();
            if (length <= segmentSize) {// 长度小于等于限制直接打印
                Log.e(TAG, msg);
            } else {
                while (msg.length() > segmentSize) {// 循环分段打印日志
                    String logContent = msg.substring(0, segmentSize);
                    msg = msg.replace(logContent, "");
                    Log.e(TAG, logContent);
                }
                Log.e(TAG, msg);// 打印剩余日志
            }
        }
    }


}
